Searched refs:rpath (Results 1 - 25 of 228) sorted by relevance

12345678910

/macosx-10.9.5/libiconv-41/libiconv/build-aux/
H A Dreloc-ldflags59 rpath=
80 # Add dir to rpath.
81 rpath="${rpath}${rpath:+ }$dir"
92 if test -n "$rpath"; then
93 echo "-Wl,-rpath,$rpath"
97 echo "relocation via rpath not supported on this system: $host" 1>&2
/macosx-10.9.5/gnutar-452/gnutar/lib/
H A Dcanonicalize-lgpl.c101 char *rpath, *dest, *extra_buf = NULL; local
136 rpath = malloc (path_max);
137 if (rpath == NULL)
141 rpath = resolved;
142 rpath_limit = rpath + path_max;
146 if (!__getcwd (rpath, path_max))
148 rpath[0] = '\0';
151 dest = strchr (rpath, '\0');
155 rpath[0] = '/';
156 dest = rpath
[all...]
/macosx-10.9.5/libiconv-41/libiconv/srclib/
H A Dcanonicalize.c104 char *rpath, *dest, *extra_buf = NULL; local
139 rpath = malloc (path_max);
140 if (rpath == NULL)
144 rpath = resolved;
145 rpath_limit = rpath + path_max;
149 if (!__getcwd (rpath, path_max))
151 rpath[0] = '\0';
154 dest = strchr (rpath, '\0');
158 rpath[0] = '/';
159 dest = rpath
[all...]
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-introspection/
H A DMakefile29 # Checks that @rpath that expands to have ../ in it will get realpathed and
40 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
41 ${CC} -I${TESTROOT}/include main.c -o main hide/hole/libfoo.dylib -Wl,-rpath -Wl,${PWD}/hide/../hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-nesting/
H A DMakefile29 # The main executable supplies an rpath. libfoo.dylib supplies an
30 # rpath. libfoo.dylib needs libbar.dylib and libbaz.dylib. One
31 # is found from the main executable's rpath and one from libfoo.dylib's
32 # rpath.
44 ${CC} bar.c -dynamiclib -o hide1/libbar.dylib -install_name @rpath/libbar.dylib
48 ${CC} baz.c -dynamiclib -o hide2/libbaz.dylib -install_name @rpath/libbaz.dylib
51 ${CC} foo.c -dynamiclib -o libfoo.dylib hide1/libbar.dylib hide2/libbaz.dylib -Wl,-rpath -Wl,${PWD}/hide2
54 ${CC} -I${TESTROOT}/include main.c -o main libfoo.dylib -Wl,-rpath -Wl,${PWD}/hide1
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-indirect-suid/
H A DMakefile34 # a setuid main executable linked with -rpath links against a dylib
35 # that uses rpath to find another dylib. It is an error if
42 ./main || echo "FAIL rpath-indirect-suid absolute path"
43 ${RUN_AS_USER} ${PASS_IFF_FAILURE} "rpath-indirect-suid @loader_path path" "rpath-indirect-suid @loader_path path" $(PWD)/main_bad1
44 ${RUN_AS_USER} ${PASS_IFF_FAILURE} "rpath-indirect-suid relative path" "rpath-indirect-suid relative path" $(PWD)/main_bad2
45 ${RUN_AS_USER} ${PASS_IFF_FAILURE} "rpath-indirect-suid @rpath spoof" "rpath
[all...]
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-DYLD_ROOT_PATH/
H A DMakefile20 ${CC} foo.c -dynamiclib -o hide/libfoo.dylib -install_name @rpath/libfoo.dylib
24 ${CC} -I${TESTROOT}/include main.c -o main hide/libfoo.dylib -Wl,-rpath -Wl,/hide
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-dlopen/
H A DMakefile29 # a main executable linked with -rpath and uses dlopen can find a dylib
41 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
45 ${CC} -I${TESTROOT}/include main.c -o main -Wl,-rpath -Wl,${PWD}/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-loader_path/
H A DMakefile28 # a main executable linked with -rpath that uses @loader_path.
29 # The @loader_path in the rpath should expand at runtime to the directory
42 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
46 ${CC} -I${TESTROOT}/include main.c -o main hide/hole/libfoo.dylib -Wl,-rpath -Wl,@loader_path/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-DYLD_FALLBACK_LIBRARY_PATH/
H A DMakefile28 # 1) a main executable built with -rpath run with DYLD_FALLBACK_LIBRARY_PATH and linked rpath wins
29 # 2) a main executable built without -rpath run with DYLD_FALLBACK_LIBRARY_PATH and dylib found
44 ${CC} foo.c -dynamiclib -o good/libfoo.dylib -install_name @rpath/libfoo.dylib
48 ${CC} foo.c -DBAD -dynamiclib -o bad/libfoo.dylib -install_name @rpath/libfoo.dylib
51 ${CC} -I${TESTROOT}/include main.c -o main good/libfoo.dylib -Wl,-rpath -Wl,@loader_path/good
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-DYLD_LIBRARY_PATH/
H A DMakefile28 # a main executable run with DYLD_LIBRARY_PATH will override its rpath
41 ${CC} foo.c -dynamiclib -o hide1/libfoo.dylib -install_name @rpath/libfoo.dylib
45 ${CC} foo.c -DBAD -dynamiclib -o hide2/libfoo.dylib -install_name @rpath/libfoo.dylib
48 ${CC} -I${TESTROOT}/include main.c -o main hide2/libfoo.dylib -Wl,-rpath -Wl,@loader_path/hide2
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-basic/
H A DMakefile29 # a main executable linked with -rpath used to locate a dylib it links against
42 ${CC} bar.c -dynamiclib -o hide/hole/libbar.dylib -install_name @rpath/libbar.dylib
45 ${CC} foo.c hide/hole/libbar.dylib -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
48 ${CC} -I${TESTROOT}/include main.c -o main hide/hole/libfoo.dylib -Wl,-rpath -Wl,${PWD}/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-dlopen-leak/
H A DMakefile48 echo "XFAIL rpath-dlopen-leak"; \
55 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
59 ${CC} ${CCFLAGS} -I${TESTROOT}/include main.c -o main -Wl,-rpath -Wl,@loader_path/hide/hole
62 ${CC} ${CCFLAGS} -I${TESTROOT}/include main.c -o main.bad -Wl,-rpath -Wl,@loader_path/bad
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-install-name/
H A DMakefile29 # check that a loaded dylib with an @rpath install name will
41 ${CC} stuff.c -I${TESTROOT}/include -dynamiclib -o libstuff.dylib -install_name @rpath/libstuff.dylib
44 ${CC} stuff.c -DBETTER=1 -I${TESTROOT}/include -dynamiclib -o libstuff_better.dylib -install_name @rpath/libstuff.dylib
51 ${CC} -I${TESTROOT}/include main.c -o main -Wl,-rpath,${PWD}
/macosx-10.9.5/OpenLDAP-491.1/OpenLDAP/contrib/slapd-modules/cloak/
H A DMakefile14 -rpath $(PREFIX)/lib -module -o $@ $? $(LIBS)
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-dlopen-rm-executable/
H A DMakefile32 # a main executable linked with -rpath. At runtime the exectuable
41 ${TESTROOT}/bin/exit-zero-pass.pl "rpath-dlopen-rm-executable" "rpath-dlopen-rm-executable" ./main.rm 2> /dev/null
47 ${CC} -I${TESTROOT}/include main.c -o main -Wl,-rpath -Wl,@executable_path/hide/hole
/macosx-10.9.5/kext_tools-326.95.1/
H A Dupdate_boot.c225 #define makebootpath(path, rpath) do { \
234 pathcat(path, basename(rpath)); \
236 pathcat(path, rpath); \
436 pathcat(srcpath, up->caches->miscpaths[i].rpath);
437 makebootpath(dstpath, up->caches->miscpaths[i].rpath);
457 if (up->caches->efibooter.rpath[0]) {
458 makebootpath(dstpath, up->caches->efibooter.rpath);
468 if (up->caches->ofbooter.rpath[0]) {
469 makebootpath(dstpath, up->caches->ofbooter.rpath);
657 caches->kext_boot_cache_file->rpath, cache
1352 char rpath[PATH_MAX], ppath[PATH_MAX], spath[PATH_MAX]; local
1575 char *rpath = up.caches->miscpaths[i].rpath; local
[all...]
/macosx-10.9.5/OpenLDAP-491.1/OpenLDAP/contrib/slapd-modules/passwd/
H A DMakefile11 -rpath $(PREFIX)/lib -module -o $@ $? -lkrb5
18 -rpath $(PREFIX)/lib -module -o $@ $?
25 -rpath $(PREFIX)/lib -module -o $@ $? -lradius
32 -rpath $(PREFIX)/lib -module -o $@ $?
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-dlopen-in-dylib/
H A DMakefile29 # a main executable linked with -rpath calls into a dylib which calls
30 # dlopen(). The -rpath from the dylib should be used to
43 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
46 ${CC} bar.c -dynamiclib -o libbar.dylib -I${TESTROOT}/include -Wl,-rpath -Wl,${PWD}/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-dlopen-indirect/
H A DMakefile29 # a main executable linked with -rpath calls into a dylib which calls
30 # dlopen(). The -rpath from the main executable should be used to
43 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
49 ${CC} -I${TESTROOT}/include main.c -o main libbar.dylib -Wl,-rpath -Wl,${PWD}/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-executable_path/
H A DMakefile28 # a main executable linked with -rpath that uses @executable_path.
29 # The @executable_path in the rpath should expand at runtime to the directory
42 ${CC} foo.c -dynamiclib -o hide/hole/libfoo.dylib -install_name @rpath/libfoo.dylib
48 ${CC} -I${TESTROOT}/include main.c -o main libbar.dylib -Wl,-rpath -Wl,@executable_path/hide/hole
/macosx-10.9.5/dyld-239.4/unit-tests/test-cases/rpath-loader_path-dlopen/
H A DMakefile28 # a main executable linked with -rpath that uses @loader_path.
29 # The @loader_path in the rpath should expand at runtime to the directory
42 ${CC} baz.c -dynamiclib -o hide/hole/libbaz.dylib -install_name @rpath/libbaz.dylib
51 ${CC} -I${TESTROOT}/include main.c -o main -Wl,-rpath -Wl,@loader_path/hide/hole libfoo.dylib
/macosx-10.9.5/OpenLDAP-491.1/OpenLDAP/contrib/slapd-modules/samba4/
H A DMakefile49 -rpath $(moduledir) -module -o $@ $? $(LIBS)
56 -rpath $(moduledir) -module -o $@ $? $(LIBS)
63 -rpath $(moduledir) -module -o $@ $? $(LIBS)
/macosx-10.9.5/ICU-511.35/icuSources/config/
H A Dmh-linux20 LD_RPATH= -Wl,-zorigin,-rpath,'$$'ORIGIN
21 LD_RPATH_PRE = -Wl,-rpath,
/macosx-10.9.5/OpenLDAP-491.1/OpenLDAP/contrib/slapd-modules/autogroup/
H A DMakefile19 -rpath $(libdir) -module -o $@ $?

Completed in 188 milliseconds

12345678910